%define oname           wxWidgets
%define gtkver          2

%define major           0
%define api             3.0

%define libnameu        %mklibname wxgtku %{api} %{major}
%define libnameudev     %mklibname wxgtku %{api} -d
%define libglu          %mklibname wxgtkugl %{api} %{major}

Summary:        GTK+ port of the wxWidgets library
Name:           wxgtk
Version:        3.0.3.1
Release:        %mkrel 3
License:        wxWidgets Library Licence
Group:          System/Libraries
URL:            http://www.wxwidgets.org/
Source0:        https://github.com/wxWidgets/wxWidgets/releases/download/v%{version}/%{oname}-%{version}.tar.xz
Patch0:         wxWidgets-2.9.5-fix-linking.patch
Patch1:         wxWidgets-2.9.5-multiarch-includes.patch
Patch2:         wxWidgets-3.0.3.1-collision.patch
BuildRequires:  jpeg-devel
BuildRequires:  tiff-devel
BuildRequires:  expat-devel
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
%if %{gtkver} == 3
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkitgtk-3.0)
%endif
%if %{gtkver} == 2
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(webkit-1.0) >= 1.3.1
%endif
BuildRequires:  pkgconfig(libgnomeprintui-2.2)
BuildRequires:  pkgconfig(libmspack)
BuildRequires:  pkgconfig(libnotify) >= 0.7
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %{libnameu}
Group:          System/Libraries
Summary:        Base shared library part of wxGTK - Unicode enabled
Requires:       %{name} >= %{version}-%{release}

%description -n %{libnameu}
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with the unicode enabled version of %{name}.

%package -n %{libnameudev}
Summary:        Header files and development documentation for wxGTK - unicode
Group:          Development/C++
Requires:       %{libnameu} = %{version}-%{release}
Requires:       %{libglu} = %{version}-%{release}
Provides:       libwxgtku%{api}-devel = %{version}-%{release}
Provides:       wxgtku%{api}-devel = %{version}-%{release}
Provides:       wxgtk%{api}-devel = %{version}-%{release}
Provides:       libwxgtk%{api}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires(post):         update-alternatives
Requires(postun):       update-alternatives

%description -n %{libnameudev}
Header files for the unicode enabled version of wxGTK, the GTK+ port of
the wxWidgets library.

%package  -n %{libglu}
Summary:        GTK+ port of the wxWidgets library, OpenGl add-on - unicode
Group:          System/Libraries

%description -n %{libglu}
OpenGl add-on library for the unicode enabled version of wxGTK, the
GTK+ port of the wxWidgets library.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

# (fwang) Don't promote LDFLAGS in wx-config
sed -i -e 's/@LDFLAGS@//' -e 's/@WXCONFIG_CXXFLAGS@//' wx-config.in

# fix plugin dir for 64-bit
sed -i -e 's|/lib|/%{_lib}|' src/unix/stdpaths.cpp

find samples demos -name .cvsignore -delete

%build
CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%configure2_5x \
        --enable-intl \
        --with-gtk=%{gtkver} \
        --without-debug_flag \
        --without-debug_info \
        --with-sdl \
        --with-libpng=sys \
        --with-libjpeg=sys \
        --with-libtiff=sys \
        --with-zlib=sys \
        --with-expat=sys \
        --with-regex=builtin \
        --disable-optimise \
        --enable-calendar \
        --enable-wave \
        --enable-fraction \
        --enable-wxprintfv \
        --enable-xresources \
        --enable-controls \
        --enable-tabdialog \
        --enable-msgdlg \
        --enable-dirdlg \
        --enable-numberdlg \
        --enable-splash \
        --enable-textdlg \
        --enable-graphics_ctx \
        --enable-grid \
        --enable-catch_segvs \
        --enable-mediactrl \
        --enable-dataviewctrl \
        --enable-permissive \
        --enable-libmspack \
        --disable-rpath

%make
%make -C locale allmo

#gw prepare samples
pushd demos
        make clean
        rm -f makefile* demos.bkl
popd

pushd samples
        make clean
        rm -f makefile* samples.bkl
popd

find demos samples -name Makefile|xargs perl -pi -e 's^CXXC =.*^CXXC=\$(CXX) `wx-config --cflags`^'
find demos samples -name Makefile|xargs perl -pi -e 's^EXTRALIBS =.*^EXTRALIBS=^'
find demos samples -name Makefile|xargs perl -pi -e 's^SAMPLES_RPATH_FLAG =.*^SAMPLES_RPATH_FLAG=^'

%install
%make_install

# dummy translation file
find %{buildroot} -name "wxmsw.mo" -delete

%find_lang wxstd30

%multiarch_binaries %{buildroot}%{_bindir}/wx-config-%{api}

%multiarch_includes %{buildroot}%{_includedir}/wx-%{api}/wx/defs.h

%post -n %{libnameudev}
%{_sbindir}/update-alternatives \
        --install %{_bindir}/wx-config \
        wx-config \
        %{_bindir}/wx-config-%{api} \
        30

%{_sbindir}/update-alternatives \
        --install %{_bindir}/wxrc \
        wxrc \
        %{_bindir}/wxrc-%{api} \
        30

%postun -n %{libnameudev}
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
        --remove wx-config \
        %{_bindir}/wx-config-%{api}

%{_sbindir}/update-alternatives \
        --remove wxrc \
        %{_bindir}/wxrc-%{api}
fi

%files -f wxstd30.lang
%doc *.txt

%files -n %{libnameu}
%{_libdir}/libwx_baseu-%{api}.so.%{major}*
%{_libdir}/libwx_baseu_net-%{api}.so.%{major}*
%{_libdir}/libwx_baseu_xml-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_adv-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_aui-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_core-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_html-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_media-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_propgrid-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_qa-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_ribbon-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_richtext-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_stc-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_webview-%{api}.so.%{major}*
%{_libdir}/libwx_gtk%{gtkver}u_xrc-%{api}.so.%{major}*

%files -n %{libnameudev}
%doc samples/ docs/ demos/
%{_bindir}/wx-config-%{api}
%{_bindir}/wxrc-%{api}
%{multiarch_bindir}/wx-config-%{api}
%{_includedir}/wx-%{api}/
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk%{gtkver}-unicode-%{api}/
%dir %{_libdir}/wx/include/gtk%{gtkver}-unicode-%{api}/wx/
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk%{gtkver}-unicode-%{api}
%{_libdir}/wx/include/gtk%{gtkver}-unicode-%{api}/wx/setup.h
%{_libdir}/libwx_baseu-%{api}.so
%{_libdir}/libwx_baseu_net-%{api}.so
%{_libdir}/libwx_baseu_xml-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_adv-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_aui-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_core-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_gl-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_html-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_media-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_propgrid-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_qa-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_ribbon-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_richtext-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_stc-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_webview-%{api}.so
%{_libdir}/libwx_gtk%{gtkver}u_xrc-%{api}.so
%{_datadir}/bakefile/presets/wx*
%{multiarch_includedir}/wx-%{api}/wx/defs.h

%files -n %{libglu}
%{_libdir}/libwx_gtk%{gtkver}u_gl-%{api}.so.%{major}*


%changelog
* Mon Jul 16 2018 adrianomorselli <adrianomorselli> 3.0.3.1-1uplos2018
- update
